package com.njcn.device.device.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.njcn.device.pq.pojo.po.DevFuction;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author cdf
 * @since 2022-01-07
 */
public interface DevFuctionMapper extends BaseMapper<DevFuction> {

    int addBatch(@Param("list") List<DevFuction> list);

    //查询pq_line表等级为5的装置去device表查装置id与装置功能存入cld_dev_fuction表
    List<DevFuction> selectLineTable();
    List<DevFuction> selectDictTable();
}
